/**
***     Copyright (C) 2003 - 2008 SophiaCradle, Inc.
***     All rights reserved.
**/

#ifndef __DRAWBMP_HPP
#define __DRAWBMP_HPP

#include <SophiaFramework.hpp>

SFMTYPEDEFCLASS(Drawbmp)
class Drawbmp : public SFCApplication {
    public:
        static  SFCInvokerPtr   Factory                 (Void);
    private:
                                Drawbmp                 (Void);
        virtual                 ~Drawbmp                (Void);
        virtual Bool            HandleEvent             (SFXEventConstRef event);
        virtual Bool            HandleRender            (SFXEventConstRef event);
                Bool            OnAppStart              (Void);
                Bool            OnAppStop               (Void);
                Bool            OnAppResume             (Void);
                Bool            OnAppSuspend            (Void);
                Bool            OnAppKey                (UInt16);
                Void            DrawBitmapUseSFBDisplay (Void);
                Void            DrawBitmapUseSFBBitmap  (Void);
                Void            DrawBitmapUseSFBImage   (Void);
                Void            DrawTileAndIcon         (Void);
                Void            ClearScreen             (Void);
};

#endif // __DRAWBMP_HPP //

